<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="GuiSettings" targetNamespace="http://tempuri.org/GuiSettings.xsd" elementFormDefault="qualified" xmlns="http://tempuri.org/GuiSettings.xsd" xmlns:mstns="http://tempuri.org/GuiSettings.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="GuiSettings">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="markPeaks" type="xs:boolean" default="false" />
        <xs:element name="windowState" type="xs:int" default="0" />
        <xs:element name="windowPosition" type="xs:int" minOccurs="2" maxOccurs="2" />
        <xs:element name="windowSize" type="xs:int" minOccurs="2" maxOccurs="2" />
        <xs:element name="collapsiblePanelStates" type="xs:int" minOccurs="4" maxOccurs="unbounded" default="1" />
        <xs:element name="splitterPosition" type="xs:int" default="213" />
        <xs:element name="fftView" type="xs:int" default="2" />
        <xs:element name="fftContrast" type="xs:int" default="0" />
        <xs:element name="_autoResolutionMultiplier" type="xs:int" default="2" />
        <xs:element name="_checkBoxAutoResolutionChecked" type="xs:boolean" default="true" />
        <xs:element name="_lastManualResolution" type="xs:string" default="2048" />
        <xs:element name="spectrumAnalyzerAttack" type="xs:double" default="0.9" />
        <xs:element name="spectrumAnalyzerDecay" type="xs:double" default="0.7" />
        <xs:element name="waterfallAttack" type="xs:double" default="1.0" />
        <xs:element name="waterfallDecay" type="xs:double" default="0.9" />
        <xs:element name="timestampInterval" type="xs:int" default="100" />
        <xs:element name="useTimeMarkers" type="xs:boolean" default="false" />
        <xs:element name="fftDisplayOffset" type="xs:int" default="0" />
        <xs:element name="fftDisplayRange" type="xs:int" default="13" />
        <xs:element name="gradient" type="xs:string" default="4A0000,750000,9F0000,C60000,FF0000,FE6D16,FFFF00,1E90FF,000091,000050,000030,000020,000000,000000,000000,000000" />
        <xs:element name="spectrumAnalyzerGradient" type="xs:string" default="FFFFFF,ADD8E6,1E90FF,000050,000000" />
        <xs:element name="spectrumAnalyzerColor" type="xs:string" default="FFFFFF" />
        <xs:element name="fillSpectrumAnalyzer" type="xs:boolean" default="true" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>
